Skip to content

Wowza Video REST API Reference Documentation (v1.11)

API lifecycle phase: Supported 2

Want to take the API for a test run?

All you'll need is a Wowza Video subscription, or free trial, for the API access token. Then, fork our collection in Postman and you'll be making calls to our REST API in minutes!

See Trial the Wowza Video REST API using Postman for more information.

This reference documentation provides details about the operations, parameters, and request and reponse schemas for every resource and endpoint in the Wowza Video REST API. Samples appear in the right column. Sample requests are presented in cURL (Shell) and JavaScript; some samples also include just the JSON object. Response samples are all JSON. Examples in cURL use environment variables so you can easily copy and paste them. To learn more, see Using cURL.

Reference documentation is available for every version of the API. Use the Version menu at the top of the page to access the reference doc for a different version of the API.

Download OpenAPI description
Overview
License
Languages
Servers
Mock server
https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi
https://api.video.wowza.com/api/v1.11

Live Streams

Operations related to live streams. A live stream is a single, linear video broadcast. You broadcast a live stream by receiving encoded source video into the Wowza Video service and letting Wowza Video transcode the stream and deliver it to viewers. A live stream is essentially a one-stop method for creating a transcoder, output renditions, stream targets, and associated players.

Operations

Fetch the thumbnail URL of a live stream

Request

This operation shows the thumbnail URL of a started live stream.

Path
idstringrequired

The unique alphanumeric string that identifies the live stream.

curl -i -X GET \
  'https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/live_streams/{id}/thumbnail_url'

Responses

Success

Bodyapplication/json
live_streamobject(live_stream)required
live_stream.​thumbnail_urlstring

The URL to receive the preview thumbnail.

Example: "https://cloud.wowza.com/proxy/stats/?target=10.11.12.13&app=app-B8P6K226&stream=99b62146@130135.stream&media=json"
Response
application/json
{ "live_stream": { "thumbnail_url": "https://cloud.wowza.com/proxy/stats/?target=10.11.12.13&app=app-B8P6K226&stream=99b62146@130135.stream&media=json" } }

Fetch the state of a live stream

Request

This operation shows the current state of a live stream.

Path
idstringrequired

The unique alphanumeric string that identifies the live stream.

curl -i -X GET \
  'https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/live_streams/{id}/state'

Responses

Success

Bodyapplication/json
live_streamobject(live_stream)required
live_stream.​ip_addressstring

The IP address of the live stream instance. If the live stream state is anything other than started, the ip_address is 0.0.0.0.

Example: "0.0.0.0"
live_stream.​statestring

The state of the live stream.

Enum"started""stopped""starting""stopping""resetting"
Example: "stopped"
Response
application/json
{ "live_stream": { "ip_address": "0.0.0.0", "state": "stopped" } }

(Sunset) Fetch metrics for an active live stream

Request

The GET /live_streams/{id}/stats operation is sunset and no longer available. To retrieve metrics data for a live stream, use GET /analytics/ingest/live_streams/{id}.

Path
idstringrequired

The unique alphanumeric string that identifies the live stream.

curl -i -X GET \
  'https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/live_streams/{id}/stats'

Responses

Success

Bodyapplication/json
live_streamobject(shm_metrics)required
live_stream.​audio_codecobject(audio_codec_metric)
live_stream.​bits_in_rateobject(bits_in_rate_metric)
live_stream.​bits_out_rateobject(bits_out_rate_metric)
live_stream.​bytes_in_rateobject(bytes_in_rate_metric)
live_stream.​bytes_out_rateobject(bytes_out_rate_metric)
live_stream.​configured_bytes_out_rateobject(configured_bytes_out_rate_metric)
live_stream.​connectedobject(connected_metric)
live_stream.​frame_sizeobject(frame_size_metric)
live_stream.​frame_rateobject(frame_rate_metric)
live_stream.​heightobject(height_metric)
live_stream.​keyframe_intervalobject(keyframe_interval_metric)
live_stream.​stream_target_status_OUTPUTIDX_STREAMTARGETIDXobject(stream_target_status_OUTPUTIDX_STREAMTARGETIDX_metric)
live_stream.​unique_viewsobject(unique_views_metric)

The number of unique viewers in the last 5 minutes.

Note: This parameter only returns data for Fastly stream targets.

live_stream.​video_codecobject(video_codec_metric)
live_stream.​widthobject(width_metric)
Response
application/json
{ "live_stream": { "audio_codec": {}, "bits_in_rate": {}, "bits_out_rate": {}, "bytes_in_rate": {}, "bytes_out_rate": {}, "configured_bytes_out_rate": {}, "connected": {}, "frame_size": {}, "frame_rate": {}, "height": {}, "keyframe_interval": {}, "stream_target_status_OUTPUTIDX_STREAMTARGETIDX": {}, "unique_views": {}, "video_codec": {}, "width": {} } }

Players

Operations related to players, which are created through the /live_streams resource. Players created through Wowza Video live streams can be embedded into your own web page or played through a web page hosted by Wowza Video.

Operations

Transcoders

Operations related to transcoders, output renditions, and output stream targets.

Operations

Stream Sources

Operations related to stream sources. You can create a Wowza stream source and associate it to a live stream or transcoder.

Operations

Stream Targets

Operations related to stream targets. A stream target is a destination for a stream. Stream targets can be Wowza Video edge resources; custom, external destinations target destinations.

Operations

Assets

Operations related to assets, which are created through the /assets resources. The Wowza Video service can store and transcode mp4 files that you can tag, manage, and restream.

Operations

Recordings

Operations related to recordings, which are created through the /live_streams or /transcoders resources. The Wowza Video service can create MP4 recordings of your live streams and transcoded output. Recordings can be downloaded and saved locally. They're based on the highest-bitrate output rendition that Wowza Video generates from your video source. See About recordings to learn more.

Operations

Schedules

Operations related to schedules. Schedules allow you to automatically start or stop a live stream or transcoder at a predetermined date and time. You can configure a schedule to start and/or stop a live stream or transcoder just once, or you can configure it to repeat the behavior on a regular basis. See About schedules to learn more.

Operations

VOD Streams

Operations related to video on demand (VOD) streams, which are created through the /live_streams or /transcoders resources. A VOD stream is a recording of a live stream that viewers can replay at a later date. After the broadcast is over and the live stream or transcoder is stopped, Wowza Video creates the VOD stream and generates a playback URL. See About VOD Streams to learn more.

Operations

Real-Time Streams

Operations related to Real-Time Streaming at Scale. If your audience is fewer than 300 viewers or you want to deliver a stream in near real time alongside other delivery protocols, use our WebRTC solution.

To enable and purchase capacity for Real-Time Streaming at Scale for your account and access the /real_time operations, contact 720.279.8163 or schedule a call.
Operations

Viewers

Operations related to viewer analytics.

Operations

Ingest

Operations related to ingest analytics for a live stream.

Operations

Engagement

Operations related to engagement analytics for a VOD stream.

Operations

Popularity

Operations related to popularity analytics.

Operations

Account

Operations related to stream analytics for an account.

Operations

Transcoders

Operations related to transcoder analytics.

Operations

Stream Targets

Operations related to stream target analytics, including CDN usage and viewer data.

Operations

Storage

Operations related to peak storage for an account. You can use this operation to show the amount of peak recording and VOD stream storage used by your account.

Operations

VOD Streams

Operations related to video on demand (VOD) stream analytics.

Operations

Real Time Streams

Operations related to real-time streams analytics.

Operations